##
##  my.cnf -- MariaDB configuration
##

[client]

socket                           = @l_prefix@/var/mariadb/run/mysqld.sock
port                             = 3306

[mysqld]

bind-address                     = 127.0.0.1
port                             = 3306

ssl                              = false
ssl-cert                         = @l_prefix@/etc/x509/example-server.crt.pem
ssl-key                          = @l_prefix@/etc/x509/example-server.key.pem
ssl-ca                           = @l_prefix@/etc/x509/example-ca.crt.pem

basedir                          = @l_prefix@
plugin-dir                       = @l_prefix@/libexec/mariadb/plugin
character-sets-dir               = @l_prefix@/share/mariadb/charsets
lc-messages-dir                  = @l_prefix@/share/mariadb
datadir                          = @l_prefix@/var/mariadb/db
tmpdir                           = @l_prefix@/var/mariadb/tmp
secure-file-priv                 = @l_prefix@/var/mariadb/tmp
socket                           = @l_prefix@/var/mariadb/run/mysqld.sock
pid_file                         = @l_prefix@/var/mariadb/run/mysqld.pid
general-log-file                 = @l_prefix@/var/mariadb/log/mysqld.log
log-error                        = @l_prefix@/var/mariadb/log/mysqld.log

explicit_defaults_for_timestamp  = true
@with_galera@:
@with_galera@:wsrep_on                         = ON
@with_galera@:wsrep_provider                   = @l_prefix@/lib/galera/libgalera_smm.so

[mysqld_safe]

user                             = @l_rusr@

